Subject: Re: [regext] WG LAST CALL: draft-ietf-regext-rdap-reverse-search

From: "Gould, James" <[email-masked]>
Date: Tue, 26 Apr 2022 12:17:12 +0000

I did a review of the latest version of the draft (draft-ietf-regext-rdap-reverse-search-10), and below is my feedback:

  1.  Abstract
     *   It states, “This document describes RDAP query extensions”.   Shouldn’t it be “this document describes an RDAP query extension” in the singular form?
  2.  Introduction
     *   It is not clear what adopted ad hoc strategies effectively mitigate the impact of reverse searches.  Additionally, a standard search is much less powerful than implementing a reverse search, so I don’t view them as equivalent from a server processing perspective.  Some clarity of how a standard search is equivalent to a reverse search would be helpful or I would remove the statement.
     *   How is the domain-entity relationship treated with a special focus on its privacy implications?  Clarification would be helpful.
  3.  RDAP Path Segment Specification
     *   Is it defining OPTIONAL extensions or an OPTIONAL extension?  I believe the specification is defining a single RDAP extension, so the singular form would be better.
     *   The searchable-resource-type is limited to only resource types defined in RFC 9082.  Shouldn’t it also support new resource types defined by future RDAP extensions?  My recommendation is to have it read “it MUST be one of the resource types for searched defined in Section 3.2 of [RFC9082] or a resource type extension, …”.
     *   The related-resource-type is limited to only resource types defined in RFC 9082.  Shouldn’t it also support new resource types defined by future RDAP extensions?  My recommendation is to have it read “it MUST be one of the resource types for lookup defined in Section 3.1 of [RFC9082] or a resource type extension…”.
  4.  RDAP Conformance
     *   Based on the definition of a single value, the specification is defining a single RDAP extension and not multiple RDAP extensions as indicated in the Abstract and Introduction.

--

JG

James Gould
Fellow Engineer
[email-masked]<applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

From: regext <[email-masked]> on behalf of Antoin Verschuren <ietf=[email-masked]>
Date: Monday, April 25, 2022 at 9:44 AM
To: regext <[email-masked]>
Subject: [EXTERNAL] Re: [regext] WG LAST CALL: draft-ietf-regext-rdap-reverse-search

WGLC for this document should have ended last week.
But since there is still a good discussion going on between the Document Shepherd and the authors, the chairs have decided to extend this WGLC for another week till Monday May 2nd.

Since we only had 2 valid support messages (not being the authors or shepherd) we would like to ask for more support from the WG as well. 2 is very little to declare consensus. Could others please review as soon as Mario has published a new version with the comments from Scott and Tom included?

Op 11 apr. 2022, om 15:50 heeft Antoin Verschuren <ietf=[email-masked]<mailto:ietf=[email-masked]>> het volgende geschreven:

Reminder,

1 more week remaining for this WGLC.
In addition to the authors, we received 3 responses so far.

Regards,

Jim and Antoin

Op 4 apr. 2022, om 15:18 heeft Antoin Verschuren <ietf=[email-masked]<mailto:ietf=[email-masked]>> het volgende geschreven:

Dear Working Group,

The authors of the following working group document have indicated that it is believed to be ready for submission to the IESG for publication as a standards track document:

https://datatracker.ietf.org/doc/draft-ietf-regext-rdap-reverse-search/<https://secure-web.cisco.com/1ua3m1ygiPX3451lX_xaT9Z-dfjlDPcKJyp8avIFHXnHWndX3bvBPwhtbQU3yIZXz19hRC-18gI3rg7jzG1i7rI75UL5jo68iKqKYLCg2_-lG3zN36bOo2h-UDJuSccsr1TqPJzr-sh4pSgnm5JHfFINaH9HK5TbDl00Ye37nMZ6ecLZQrfipasSmiQTDKvrTDbd1MMXTyIRk2Q3nbS8JPcsGYYX3xs62rg93ONBCUdy48YH1INSVQUwIV2i3d8PO/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-regext-rdap-reverse-search%2F>

This WG last call will end at close of business, Monday, 18 April 2022.

Please review this document and indicate your support (a simple “+1” is sufficient) or concerns with the publication of this document by replying to this message on the list.

The document shepherd for this document is Tom Harrison.

Regards,

Jim and Antoin

_______________________________________________
regext mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/regext

_______________________________________________
regext mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/regext